Skip to content

Delete relationships from multiple documents.

  • The maximum input file size is 1GB.
  • The values in the input must be UTF-8 encoded.
  • CSVs must follow the standard RFC 4180 format, with some exceptions.
  • The maximum batch size is 1000.

You cannot create or delete standard relationship types. Examples of standard relationship types include Based On and Original Source. Learn about document relationships in Vault Help.

DELETE/api/{version}/objects/documents/relationships/batch
NameDescription
Content-Typeapplication/json (default) or text/csv
Acceptapplication/json (default) or text/csv

Create a CSV or JSON input file.

NameDescription
id
required
The ID of the relationship to delete.
curl -X DELETE -H "Authorization: {SESSION_ID}" \ -H "Content-Type: text/csv" \ -H "Accept: text/csv" \ --data-raw 'id 10 11 12' \ https://myvault.veevavault.com/api/v26.1/objects/documents/relationships/batch
{ "responseStatus": "SUCCESS", "data": [ { "responseStatus": "SUCCESS", "id": 10 }, { "responseStatus": "SUCCESS", "id": 11 }, { "responseStatus": "FAILURE", "errors": [ { "type": "INVALID_DATA", "message": "Error message describing why this relationship was not deleted." } ] } ] }

On SUCCESS, Vault returns the relationship IDs of the deleted relationships.